Remove vendors from a segment.
curl --request DELETE \
--url https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vendorIds": [
"<string>"
]
}
'import requests
url = "https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors"
payload = { "vendorIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({vendorIds: ['<string>']})
};
fetch('https://api.topsort.com/public/v1/segment-service/segments/{segment_id}/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"vendorIds": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Segments Service
Remove vendors from a segment.
Remove vendors from a segment.
Vendors absent from the segment are ignored. Removing the last vendor makes the segment global.
DELETE
/
public
/
v1
/
segment-service
/
segments
/
{segment_id}
/
vendors
Remove vendors from a segment.
Autorizaciones
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Parámetros de ruta
The external ID of the segment.
Cuerpo
application/json
External vendor IDs to remove from the segment.
Required array length:
1 - 100 elementsRequired string length:
1 - 255¿Esta página le ayudó?